%global modname pypng

Name:               python-pypng
Version:            0.0.21
Release:            %mkrel 1
Summary:            Pure Python PNG image encoder/decoder

License:            MIT
URL:                https://pypi.org/project/pypng
Source0:            https://github.com/drj11/%{modname}/archive/%{modname}-%{version}.tar.gz

BuildArch:          noarch
Group:              Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:      python3-devel
BuildRequires:      python3-nose


%global _description\
PyPNG allows PNG image files to be read and written using pure Python.\
\
It's available from github.com https://github.com/drj11/pypng\
\
Documentation is kindly hosted by PyPI https://pythonhosted.org/pypng/

%description %_description

%package -n python3-pypng
Summary:            Pure Python PNG image encoder/decoder
%{?python_provide:%python_provide python3-pypng}

%description -n python3-pypng
PyPNG allows PNG image files to be read and written using pure Python.

It's available from github.com https://github.com/drj11/pypng

Documentation is kindly hosted by PyPI https://pythonhosted.org/pypng/

%prep
%setup -q -n %{modname}-%{modname}-%{version}


# Remove the shebang from the main lib
lib=code/png.py
sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
touch -r $lib $lib.new &&
mv $lib.new $lib

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files png

%check
nosetests-3 code/png.py

%files -n python3-pypng -f %{pyproject_files}
%doc README.md LICENCE
%{_bindir}/pri*


%changelog
* Thu Sep 08 2022 neoclust <neoclust> 0.0.21-1.mga9
+ Revision: 1885615
- New version  0.0.21

* Thu Mar 24 2022 umeabot <umeabot> 0.0.20-3.mga9
+ Revision: 1824784
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 0.0.20-2.mga9
+ Revision: 1775579
- rebuild for python-3.10

* Mon Apr 05 2021 joequant <joequant> 0.0.20-1.mga9
+ Revision: 1713400
- update python3.9

* Fri Aug 21 2020 joequant <joequant> 0.0.18-1.mga8
+ Revision: 1617190
- imported package python-pypng

